Description: installation script had unstable behavior under FreeBSD

Please apply this patch immediately after unpacking the source archive.
Index: support/install.pl
===================================================================
--- support/install.pl	(revision 7602)
+++ support/install.pl	(revision 7603)
@@ -48,6 +48,8 @@
    $1;
 }
 
+my $z1024=pack "x1024";
+
 sub copy {
    my ($from, $to, $mode)=@_;
    if (defined $translate_re) {
@@ -86,13 +88,20 @@
 	 return 0;
       }
 
+      my $trailing_zeroes;
       while ((my $size=read $in, $_, 1024)>0) {
-	 if ($_ eq "\0"x$size) {
+	 if ($_ eq ($size==1024 ? $z1024 : pack("x$size"))) {
 	    lseek $out, $size, SEEK_CUR;
+	    $trailing_zeroes=1;
 	 } else {
 	    write $out, $_, $size;
+	    $trailing_zeroes=0;
 	 }
       }
+      if ($trailing_zeroes) {
+	 lseek $out, -1, SEEK_CUR;
+	 write $out, "\0", 1;
+      }
       POSIX::close $in;
       POSIX::close $out;
       system "strip $to" if $strip;
